using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IvnitskiiProdazhi1
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void отделыBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.отделыBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.iS31Ivnickii7DataSet);

        }

        private void Form2_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "iS31Ivnickii7DataSet.Отделы". При необходимости она может быть перемещена или удалена.
            this.отделыTableAdapter.Fill(this.iS31Ivnickii7DataSet.Отделы);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Form1 form1 = new Form1();
            form1.Show();
            this.Hide();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            отделыBindingSource.MoveFirst();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            отделыBindingSource.MovePrevious();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            отделыBindingSource.AddNew();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            отделыBindingSource.MoveLast();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            отделыBindingSource.MoveNext();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            отделыBindingSource.RemoveCurrent();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.отделыBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.iS31Ivnickii7DataSet);
        }
    }
}
